// following are the 'endogenous' variables:
var lc, lk, ly, a;
// following are the shocks
varexo e;

parameters beta, rho, alpha, delta, gam;

alpha = 0.36;
rho   = 0.95;
beta  = 0.99;
delta = .02;
gam   = 2;

model;
    exp(-gam*lc) = beta*exp(-gam*lc(+1))*(alpha*exp(ly(+1)-lk) + 1 - delta);
    exp(ly) = exp(alpha*lk(-1))*exp(a); 
    a = rho*a(-1) + e;
    exp(ly) = exp(lc) + exp(lk) -(1-delta)*exp(lk(-1));
end;

%verifies that the steady state computed by rbc_steadystate.m is correct
steady;

shocks;
var e; 
stderr 1;
end;

stoch_simul(order=2,nograph,irf=10,pruning) lc lk ly a;
lc2=lc_e;
ly2=ly_e;
lk2=lk_e;
stoch_simul(order=1,nograph,irf=10) lc lk ly a;
lc1=lc_e;
ly1=ly_e;
lk1=lk_e;
tt=1:length(lc2);

subplot(221)
plot(tt,lc1,tt,lc2,'*-')
legend('first order','second order')
axis tight
title('log consumption')

subplot(222)
plot(tt,ly1,tt,ly2,'*-')
legend('first order','second order')
axis tight
title('log output')

subplot(223)
plot(tt,lk1,tt,lk2,'*-')
legend('first order','second order')
axis tight
title('log capital')